Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

💳 Checkout - Taksit Sorgusu

Belirtilen BIN ve Checkout tutarı için taksit seçenekleri döner. GET https://api-test.fincraft.com.tr/api/v1/checkout/{checkoutToken}/bin/{binNumber}/installment

Path Parameters

ParametreTipZorunluAçıklama
checkoutTokenStringEvetCheckout oturum token’ı
binNumberStringEvetKartın ilk 6 hanesi

Response Body

{
    "cardType": "CREDIT",
    "cardSchema": "MASTERCARD",
    "cardBrand": "BONUS",
    "bank": "TFKB",
    "nonSecurePaymentSupport": true,
    "securePaymentSupport": true,
    "cvcRequired": true,
    "bankInstallmentList": [
        {
            "bank": "BONUS",
            "commissionType": "INDIVIDUAL",
            "installmentList": [
                {
                    "interestFree": false,
                    "installmentNumber": 2,
                    "perMonthAmount": 60.00,
                    "totalAmount": 120.00,
                    "installmentInterestRate": 20.00,
                    "merchantCommissionRate": 3.01
                }
            ]
        }
    ],
    "corporateCard": false
}

cURL Örneği

curl -X GET https://api-test.fincraft.com.tr/api/v1/checkout/238a992b-c13d-4eb7-b12c-b0594aa469be/bin/521848/installment \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"